package com.sheep.gamegroup.presenter;

import com.alibaba.fastjson.JSONObject;
import com.sheep.gamegroup.model.entity.BaseMessage;

/**
 * Created by ljy on 2018/3/18.
 */

public interface WithdrawalContract {

    interface Presenter{

        void goWithdrawal(JSONObject jsonObject);
        void getCanWithdrawAmount();
        void getWithdrawAmountOption();

    }

    interface View{
        void failData(Object o);
        void updateView(Object o);
        void failBalanceData(BaseMessage o);
        void updateBalanceView(BaseMessage o);
        void failWithdrawAmountOptionData(BaseMessage o);
        void updateWithdrawAmountOptionView(BaseMessage o);
    }
}
